Why do I receive grails module not found and unresolved dependency warnings?

Issue

We receive the following warnings upon building. 

| Loading Grails 2.2.4 

| Configuring classpath
:: problems summary ::
:::: WARNINGS
module not found: org.grails.plugins\#crypto;2.0
==== grailsPlugins: tried
\-- artifact org.grails.plugins\#crypto;2.0!crypto.zip:
/scratch/jenkins/workspace/Development Build/lib/crypto-2.0.zip
==== grailsHome: tried
/scratch/jenkins/tools/com.g2one.hudson.grails.GrailsInstallation/grails\_2.2.4/lib/org.grails.plugins/crypto/ivy-2.0.xml
\-- artifact org.grails.plugins\#crypto;2.0!crypto.zip:
/scratch/jenkins/tools/com.g2one.hudson.grails.GrailsInstallation/grails\_2.2.4/lib/org.grails.plugins/crypto/jars/crypto-2.0.zip
/scratch/jenkins/tools/com.g2one.hudson.grails.GrailsInstallation/grails\_2.2.4/lib/org.grails.plugins/crypto/bundles/crypto-2.0.zip
==== grailsHome: tried
/scratch/jenkins/tools/com.g2one.hudson.grail

::::::::::::::::::::::::::::::::::::::::::::::
:: UNRESOLVED DEPENDENCIES ::
::::::::::::::::::::::::::::::::::::::::::::::
:: org.grails.plugins\#crypto;2.0: not found
:: org.grails.plugins\#spring-security-core;1.2.7.3: not found
:: org.grails.plugins\#spring-events;1.2: not found
:: org.grails.plugins\#airbrake;0.9.2: not found
:: org.grails.plugins\#executor;0.3: not found
::::::::::::::::::::::::::::::::::::::::::::::

Environment

Resolution

Some dependencies are old and may have been removed from the SpringSource repository. You can find them in this repository http://repo.grails.org/grails/repo/. Adding this repository to your build configuration should resolve the issue. 

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.